<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Segmentation</title>
    <style>
        body{
            text-align: center;
            font-size: 1.5em;
        }
        .head,.footer{
            width: 100vw;
            height: 20vh;
            margin: 10px 0;
            background: gray;
        }
        .side{
            width: 20vw;
            height: 100vh;
            background-color: gray;
        }
        .main{
            height: 100vh;
            width: 56vw;
            background: gray;
            margin: 0 10px;
            margin-bottom: 10px;
            float: left;
        }
        .left{
            float: left;
        }
        .right{
            float: right;
        }
        .footer{
            clear: both;
        }
    </style>
</head>
<body>
    <header class="head">
        Header
    </header>
    <aside class="side left" >
        left side
    </aside>
    <section class="main">
        main
    </section>
    <aside class="side right">
        Right side
    </aside>
    <footer class="footer">
        footer
    </footer>
</body>
</html>